Package org.apache.tapestry5.internal.parser

# Enum TokenType

java.lang.Object
java.lang.Enum<TokenType>
org.apache.tapestry5.internal.parser.TokenType

All Implemented Interfaces:
  `Serializable`, `Comparable<TokenType>`, `java.lang.constant.Constable`

public enum TokenType extends Enum<TokenType>
Defines the different types of `TemplateToken`s. Each value maps to a particular subclass of TemplateToken.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATTRIBUTE`
  `BLOCK`
  `BODY`
  `CDATA`
  `COMMENT`
  `DEFINE_NAMESPACE_PREFIX`
  `DTD`
  `END_ELEMENT`
  `EXPANSION`
  `EXTENSION_POINT`
  `PARAMETER`
  `START_COMPONENT`
  `START_ELEMENT`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TokenType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TokenType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ATTRIBUTE

    public static final TokenType ATTRIBUTE

  - ### CDATA

    public static final TokenType CDATA

  - ### COMMENT

    public static final TokenType COMMENT

  - ### END_ELEMENT

    public static final TokenType END_ELEMENT

  - ### START_COMPONENT

    public static final TokenType START_COMPONENT

  - ### START_ELEMENT

    public static final TokenType START_ELEMENT

  - ### TEXT

    public static final TokenType TEXT

  - ### BODY

    public static final TokenType BODY

  - ### EXPANSION

    public static final TokenType EXPANSION

  - ### PARAMETER

    public static final TokenType PARAMETER

  - ### BLOCK

    public static final TokenType BLOCK

  - ### DTD

    public static final TokenType DTD

  - ### DEFINE_NAMESPACE_PREFIX

    public static final TokenType DEFINE_NAMESPACE_PREFIX

  - ### EXTENSION_POINT

    public static final TokenType EXTENSION_POINT
    Since:
      5.1.0.1

- ## Method Details

  - ### values

    public static TokenType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TokenType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null